# Uses of Interface
org.opensaml.saml.ext.saml2mdui.PrivacyStatementURL

Packages that use PrivacyStatementURL
Package
Description
org.opensaml.saml.ext.saml2mdui
Interfaces for SAML 2 Metadata Extensions for Login UI and Discovery.
org.opensaml.saml.ext.saml2mdui.impl
Implementation for SAML V2 Metadata Extensions for UI and Discovery.

## Uses of PrivacyStatementURL in org.opensaml.saml.ext.saml2mdui

Methods in org.opensaml.saml.ext.saml2mdui that return types with arguments of type PrivacyStatementURL
Modifier and Type
Method
Description
`List<PrivacyStatementURL>`
UIInfo.`getPrivacyStatementURLs()`
Get the Privacy Statement URLs.

## Uses of PrivacyStatementURL in org.opensaml.saml.ext.saml2mdui.impl

Classes in org.opensaml.saml.ext.saml2mdui.impl that implement PrivacyStatementURL
Modifier and Type
Class
Description
`class`
`PrivacyStatementURLImpl`
Concrete implementation of `PrivacyStatementURL`.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return PrivacyStatementURL
Modifier and Type
Method
Description
`PrivacyStatementURL`
PrivacyStatementURLBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`PrivacyStatementURL`
PrivacyStatementURLBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return types with arguments of type PrivacyStatementURL
Modifier and Type
Method
Description
`List<PrivacyStatementURL>`
UIInfoImpl.`getPrivacyStatementURLs()`
Get the Privacy Statement URLs.